Package org.eclipse.ecf.core.sharedobject

## Interface ISharedObjectContainer

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IContainer`, `IIdentifiable`, `IReliableContainer`

All Known Implementing Classes:
  `ClientSOContainer`, `RemoteServiceContainer`, `ServerSOContainer`, `ServletServerContainer`, `SOContainer`, `SSLClientSOContainer`, `SSLServerSOContainer`, `TCPClientSOContainer`, `TCPServerSOContainer`

    public interface ISharedObjectContainer
    extends IReliableContainer

Core interface that must be implemented by all ECF container instances. Instances are typically created via `SharedObjectContainerFactory`

See Also:
  `ISharedObject`, `ISharedObjectManager`

### Method Summary

All Methods Instance Methods Abstract Methods
`ISharedObjectManager` `getSharedObjectManager()` Get SharedObjectManager for this container
`void` `setSharedObjectMessageSerializer​(ISharedObjectMessageSerializer serializer)` Set the shared object message serializer.

### Methods inherited from interface org.eclipse.ecf.core.IContainer

`addListener, connect, disconnect, dispose, getAdapter, getConnectedID, getConnectNamespace, removeListener`

### Methods inherited from interface org.eclipse.ecf.core.identity.IIdentifiable

`getID`

### Methods inherited from interface org.eclipse.ecf.core.IReliableContainer

`getGroupMemberIDs, isGroupManager`

### Method Detail

#### getSharedObjectManager

    ISharedObjectManager getSharedObjectManager()

Get SharedObjectManager for this container

Returns:
  ISharedObjectManager for this container instance

#### setSharedObjectMessageSerializer

    void setSharedObjectMessageSerializer​(ISharedObjectMessageSerializer serializer)

Set the shared object message serializer. The serializer should not be `null`.

Note that users of this method should guarantee that their are not pending messages to be sent/received...typically by only calling this method prior to connecting/being connected to from remote containers.

Note also that the serializer must perform well when it's methods are called, to prevent negatively impacting overall container messaging performance.

Since:
  2.0